//
//  ContentViewController.m
//  CBStoreHouseRefreshControl
//
//  Created by coolbeet on 10/26/14.
//  Copyright (c) 2014 Suyu Zhang. All rights reserved.
//

#import "ContentViewController.h"
#import "CBStoreHouseRefreshControl.h"

@interface ContentViewController ()

@property (nonatomic, strong)UILabel *lab;

@end

@implementation ContentViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.title = @"小花`s  melody";
    self.navigationController.navigationBar.barStyle = UIBarStyleBlack;
    self.navigationController.navigationBar.barTintColor = [UIColor colorWithWhite:0.1 alpha:1];
    self.navigationController.navigationBar.tintColor = [UIColor whiteColor];
    self.navigationController.navigationBar.titleTextAttributes = @{NSForegroundColorAttributeName : [UIColor whiteColor]};

    self.tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    self.tableView.backgroundColor = [UIColor colorWithWhite:49.f/255.f alpha:1];

    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"cell"];
    self.tableView.alwaysBounceVertical = YES;
    
    self.lab = [[UILabel alloc] init];
    
    // Let the show begins
    self.maydayRefreshControl = [CBStoreHouseRefreshControl attachToScrollView:self.tableView target:self refreshAction:@selector(refreshTriggered:) plist:@"mayday" color:[UIColor whiteColor] lineWidth:1.5 dropHeight:80 scale:1 horizontalRandomness:150 reverseLoadingAnimation:YES internalAnimationFactor:0.5];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];

    UIImageView *image = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"1.jpeg"]];
    image.translatesAutoresizingMaskIntoConstraints = NO;
    [cell.contentView addSubview:image];
    
    [cell.contentView addConstraint:[NSLayoutConstraint constraintWithItem:image attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:cell.contentView attribute:NSLayoutAttributeCenterX multiplier:1 constant:0]];
    [cell.contentView addConstraint:[NSLayoutConstraint constraintWithItem:image attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:cell.contentView attribute:NSLayoutAttributeCenterY multiplier:1 constant:0]];

    self.lab.frame = CGRectMake(self.view.center.x - 100, cell.frame.size.height - 15, 200, 15);
    self.lab.text = @"♪ 我和我最后的倔强 ♪";
    self.lab.textColor = [UIColor whiteColor];
    self.lab.textAlignment = NSTextAlignmentCenter;
    self.lab.font = [UIFont boldSystemFontOfSize:17];
    [cell addSubview:self.lab];
    
    cell.selectionStyle = UITableViewCellSelectionStyleNone;
    cell.backgroundColor = [UIColor clearColor];
    
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    return 1;
}


- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    return 350;
}

#pragma mark - Notifying refresh control of scrolling

- (void)scrollViewDidScroll:(UIScrollView *)scrollView{
    
    [self.maydayRefreshControl scrollViewDidScroll];
}

- (void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate{
    
    [self.maydayRefreshControl scrollViewDidEndDragging];
}


#pragma mark - Listening for the user to trigger a refresh

// 刷新
- (void)refreshTriggered:(id)sender{
    
    [self performSelector:@selector(finishRefreshControl) withObject:nil afterDelay:3 inModes:@[NSRunLoopCommonModes]];
}

// 结束
- (void)finishRefreshControl{
    
    [self.maydayRefreshControl finishingLoading];
}

// 状态条颜色
- (UIStatusBarStyle)preferredStatusBarStyle{
    
    return UIStatusBarStyleLightContent;
}

@end
